Compatibility of Panel 12 with Earlier Protocol Versions

1.3.5.1-1.6.5.0
Option Operator Operation Type/File Parameter Comment

+

virtdir

update

get

 

 

Protocol versions older than 1.6.5.0 do not support the update and get operations.

+

virtdir

update

create

 

properties.ip-alow

properties.ip-deny

properties.mime-type

Protocol versions older than 1.6.5.0 do not support the ip-alow, ip-deny and mime--type parameters.

+

service-plan

add

set

get

 

hosting.vrt_hst.unpaid_website_status

Protocol versions older than 1.6.5.0 do not support the unpaid_website_status property in the hosting.vrt_hst parameter.

+

service-plan

add

set

 

web-server-settings

Protocol versions older than 1.6.5.0 do not support the web-server-settings parameter of the add and set operations.

+

service-plan

duplicate

 

 

Protocol versions older than 1.6.5.0 do not support the duplicate operation.

+

service-plan-addon

add-package

remove-package

 

 

Protocol versions older than 1.6.5.0 do not support the add-package and remove-package operations in the service-plan-addon operator.

+

reseller-plan

duplicate

 

 

Protocol versions older than 1.6.5.0 do not support the duplicate operation.

+

webspace

add

set

get

 

hosting.vrt_hst.unpaid_website_status

Protocol versions older than 1.6.5.0 do not support the unpaid_website_status property in the hosting.vrt_hst parameter.

+

site

add

 

gen_setup.parent-site-id

gen_setup.parent-site-name

gen_setup.parent-site-guid

Protocol versions older than 1.6.5.0 do not support the parent-site-id, parent-site-name and parent-site-guid parameters in the add.gen_setup operation.

+

site

add

 

hosting.std_fwd.http_code

Protocol versions older than 1.6.5.0 do not support the http_code parameter in the add.hosting.std_fwd operation.

+

site-alias

create

set

 

pref.seo-redirect

Protocol versions older than 1.6.5.0 do not support the seo-redirect parameter.

+

site

add

set

get

 

gen_setup.status

gen_info.status

Protocol versions older than 1.6.5.0 do not support the status value 8.

+

server

clean-mail-queue

 

 

Protocol versions older than 1.6.5.0 do not support the clean-mail-queue operation.

+

server

set

 

prefs.ftp_over_ssl

prefs.apache_pipelog

prefs.mail_notifications

prefs.smtp_host

prefs.smtp_port

prefs.smtp_login

prefs.smtp_password

prefs.smtp_tls

prefs.smtp_allow_users

prefs.aps_force_updates

prefs.aps_suggest_updates

 

 

Protocol versions older than 1.6.5.0 do not support the apache_pipelog, ftp_over_ssl, mail_notifications, smtp_host, smtp_port, smtp_login, smtp_password, smtp_tls, smtp_allow_users, aps_force_updates and aps_suggest_updates parameters in the set.prefs operation.

+

mail

create

 

filter.mailname.cp-access

Protocol versions older than 1.6.5.0 do not support the cp-access parameter.

+

user

add

set

get

add-billing

set-billing

 

gen-info.subscription-domain-id

gen-info.contact-info.imtype

gen-info.contact-info.im

gen-info.contact-info.comment

Protocol versions older than 1.6.4.0 do not support the subscription-domain-id, imtype, im, and comment parameters.

+

database

add-db-user

 

db-server-id

webspace-id

Protocol versions older than 1.6.4.0 do not support the db-server-id and webspace-id parameters in the add-db-user operation.

+

aps

install

 

database.server

Protocol versions older than 1.6.4.0 do not support the

database

.

server

parameter.

+

aps

install

 

database.prefix

Protocol versions older than 1.6.4.0 do not support the

database.prefix

parameter.

+

server

lic_install

 

activation-code

Protocol versions older than 1.6.3.5 do not support the activation-code parameter.

*

ui

create-custombutton

 

properties.place

Protocol versions older than 1.6.3.5 do not allow setting the admin-settings and reseller-settings values for the properties.place parameter.

+

ui

create-custombutton

 

properties.noframe

Protocol versions older than 1.6.3.5 do not support the properties.noframe parameter.

+

plan-item

add
update

 

noframe

Protocol versions older than 1.6.3.5 do not support the noframe parameter.

+

server

get

 

updates

Protocol versions older than 1.6.3.5 do not support the updates parameter.

+

server

install-module

 

 

Protocol versions older than 1.6.3.5 do not support the install-module operation.

+

webspace

setting-billing-info

 

domain-store-url

cert-store-url

Protocol versions older than 1.6.3.5 do not support the domain-store-url and cert-store-url parameters .

+

ftp-user

 

 

 

(Linux hosting). Protocol versions older than 1.6.3.4 do not support the ftp-user operator.

+

webspace

add, set, get

 

php-settings

 

Protocol versions older than 1.6.3.4 do not allow to set or retrieve custom PHP configuration using the php-settings parameter

 

+

service-plan

add, set

 

+

service-plan-addon

add, set

 

*

site

add, set

 

hosting.vrt_hst.property

Protocol versions older than 1.6.3.4 do not allow to perform custom per-site or per-subdomain PHP configuration.

 

*

subdomain

add, set

 

property

*

event_log

get, get-events

 

event

Protocol versions older than 1.6.3.4 do not differ the events occurred with a default site (first site in a subscription) and all other sites within a subscription. All events are grouped under the domain class type. Since 1.6.3.4, all events referring to additional sites are grouped under the site class type. The domain type is used for the default site only.

*

reseller, reseller-plan, webspace, service-plan, service-plan-addon

add, set, get

 

 

Protocol versions older than 1.6.3.4 do not support the not_suspend_notify option in the overuse policy.

*

subdomain

add

 

name

Protocol versions older than 1.6.3.4 do not support the asterisk (*) symbol in the name parameter for creating wildcard subdomains.

*

domain-template

del

 

 

Domain template can only be removed if all domains created using this template are preliminary removed.

*

domain-template

 

 

shared

The "shared" is a deprecated domain template option. All the templates become non-shared on migration.

*

domain-template

 

 

 

Changing the values (limits, permissions) of a domain template will lead to changing appropriate values of domains based on this domain template.

*

reseller, client, domain

 

 

manage_limits permission

This parameter is deprecated

*

reseller, client

 

 

 

Limit expiration is always set to unlimited

*

client, client-template, reseller, reseller-template

 

 

 

The following permissions are dropped: manage_limits, cp_access, remote_access_interface, stdgui, dashboards, manage_dashboard

*

client

add

 

 

Customers do not have the ability to create subscriptions for themselves

*

dns

 

 

 

Protocol versions older than 1.6.3.2 do not return AAAA records.

*

ip

get

 

 

Protocol versions older than 1.6.3.2 do not return IPv6 addresses.

*

certificate, dns, ip, webspace, reseller

 

 

 

Protocol versions older than 1.6.3.2 are not able to work with domains that have IPv6 addresses.

 

Leave your comments on this page

Leave your feedback or question on this documentation topic below. For technical assistance, contact your hosting service provider or submit a request to Plesk support. Suggest new features for Plesk here. Discuss general questions on the Plesk forum. All offtopic comments will be removed.